rte_bpf_xsym(3)

NAME
rte_bpf_xsym

SYNOPSIS

#include <rte_bpf.h>

  Data Fields

const char * name
enum rte_bpf_xtype type

Detailed Description

Definition for external symbols available in the BPF program.

Definition at line 69 of file rte_bpf.h.

Field Documentation

  const char* name
name

Definition at line 70 of file rte_bpf.h.

  enum rte_bpf_xtype type
type

Definition at line 71 of file rte_bpf.h.

  struct rte_bpf_arg args[EBPF_FUNC_MAX_ARGS]
Function arguments descriptions.

Definition at line 77 of file rte_bpf.h.

  struct rte_bpf_arg ret
function return value.

Definition at line 79 of file rte_bpf.h.

  void* val
actual memory location

Definition at line 82 of file rte_bpf.h.

  struct rte_bpf_arg desc
type, size, etc.

Definition at line 83 of file rte_bpf.h.

  struct { ... } var
external variable

Author

Generated automatically by Doxygen for DPDK from the source code.